<div class="dashboard-heading">

    <div class="all">
        <div class="starter-stats mt-3">
            <div class="row " *ngIf="all_data">
                <div class="col-lg-3 col-md-3 col-sm-3 col-6">
                    <div class="blok blok1">
                        <div class="">
                            <p class="countget">{{all_data.data.totalUploadedProduct}}</p>
                            <p>Nombre total de produits</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-6">
                    <div class="blok blok2">

                        <div class="">
                            <p>{{all_data.data.totoalnumberoforders}}</p>
                            <p>Commandes
                            </p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-6">
                    <div class="blok blok3">

                        <div class="">
                            <p>{{all_data.data.totalearnings| number : '1.2-2'}} CFA</p>
                            <p>Ventes</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-3 col-6">
                    <div class="blok blok4">

                        <div class="">
                            <p>{{all_data.data.totalgains | number : '1.2-2'}} CFA</p>
                            <p>Gains</p>
                        </div>
                    </div>
                </div>

            </div>
            <div>
                <div class="row" >
                    <div class="col-lg-6 col-md-6 col-sm-12 col-12 ">
                        <div class="card card-4 card-c">
                            <label style="color:gray;font-size: 30px;border-bottom: 1px solid gray; padding-bottom: 15px;"><i class="fa fa-shopping-cart"></i>
                                Commandes</label>

                            <div class="text-center piechart-can">
                                <canvas id="piechart"></canvas>
                            </div>
                            <div *ngIf="all_data">
                                <h4 *ngIf="all_data.data.totoalnumberoforders == 0" style="margin-top: -250px;text-align: center;">Aucune Commandes trouvée</h4>
                            </div>
                            
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-12 ">
                        <div class="card card-4 card-c">
                            <label style="color:gray;font-size: 30px;border-bottom: 1px solid gray; padding-bottom: 15px;">CFA
                                Ventes</label>

                            <h6>Données des 30 derniers jours</h6>
                            <div class="text-center">
                                <canvas id="bar"></canvas>
                            </div>
                            <div *ngIf="all_data">
                                <h4 *ngIf="all_data.data.totalearnings == 0" style="margin-top: -180px;text-align: center;">Aucune Ventes trouvée</h4>
                            </div>
                           
                        </div>
                    </div>

                </div>
            </div>



            <!-- <div class="col-12" style="display: flex;">

                <div class="col-5  card card-4">
                    <label style="color:gray; margin: 20px;font-size: 30px;"><i class="fa fa-shopping-cart"></i>
                        Commandes</label>
                    <hr>
                    <canvas id="piechart"></canvas>
                </div>

                <div class="col-6  card card-4">
                    <label style="color:gray; margin: 20px;font-size: 30px;"><i class="fa fa-eur"></i> Ventes</label>
                    <hr>
                    <h6>Recent 30 days data</h6>
                    <canvas id="bar"></canvas>
                </div>
            </div> -->
            <!-- <div class="col-12" style="display: flex;">

                <div class="col-5  card card-4">
                    <label style="color:gray; margin: 20px;font-size: 30px;"><i class="fa fa-eye"></i> Nombre de
                        vues</label>
                    <hr>
                    <div class="col-lg-4 col-md-12 col-sm-12 col-12  txt-right" style="float: right;">
                        <div style="display: flex;">
                            De:<input type="date" class="form-control out-0">
                            A:<input type="date" class="form-control out-0">
                            <button class="btn btn-secondary">Filter</button>
                        </div>
                        <div>
                            <h1 style="color: rgb(131, 203, 22); font-weight: 900;">{{all_data.data.totalpageViews}}
                            </h1>
                        </div>
                    </div>
                </div>


            </div> -->
            <br><br>
        </div>
    </div>
</div>